Skip to main content
GET
/
campaigns
/
{campaign_id}
/
creators
List creators
curl --request GET \
  --url https://api.launchpoint.sh/2026-07/campaigns/{campaign_id}/creators \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.launchpoint.sh/2026-07/campaigns/{campaign_id}/creators"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.launchpoint.sh/2026-07/campaigns/{campaign_id}/creators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "creator_id": "cr_8f14e45fceea",
      "username": "somecreator",
      "status": "approved",
      "applied_at": "2023-11-07T05:31:56Z",
      "decided_at": "2023-11-07T05:31:56Z",
      "content": {
        "submitted": 4,
        "in_review": 1,
        "approved": 3,
        "rejected": 0
      },
      "posts": 3,
      "metrics": {
        "views": 32000,
        "likes": 2100,
        "comments": 90,
        "shares": 25,
        "saves": 40
      },
      "spend_cents": 45000
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}
{
"error": 123,
"message": "<string>",
"code": "invalid_state_transition"
}
{
"error": 123,
"message": "<string>",
"code": "invalid_state_transition"
}
{
"error": 123,
"message": "<string>",
"code": "invalid_state_transition"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaign_id
string<uuid>
required

The campaign ID

Query Parameters

status
enum<string>

Filter by application status The creator's application status on the campaign

Available options:
applied,
approved,
rejected
Example:

"approved"

limit
integer
default:25

Number of items to return per page

Required range: 1 <= x <= 100
starting_after
string

Opaque pagination cursor from a previous response's next_cursor

Response

A page of campaign creators

data
object[]
has_more
boolean
next_cursor
string | null